
def base_iterable_tests():
    """
    Fonctions de base de python utilisables sur les itérables.

    """
    # Tester any, all
    iterable1 = [0, 1, 0, 1, 0, 1]
    iterable2 = [0, 0, 0, 0, 0, 0]
    iterable3 = [1, 1, 1, 1, 1, 1]
    iterable4 = [0, 1, 2, 3, 4, 5]
    iterable5 = ["a", "b", "c", "d", "e", "f"]
    # Vérifier que toutes les valeurs sont "vraies"
    print(all(iterable1))
    print(all(iterable3))
    # Vérifier qu'au moins une valeur est vraie
    print(any(iterable1))
    print(any(iterable2))
    print(any(iterable4))
    # Vérifier la longueur de l'itérable
    print(len(iterable1))

    # Calculer la somme des éléments
    print(sum(iterable1))
    print(sum(iterable4))
    # Trouver la valeur minimale/maximale des éléments
    print(min(iterable4))
    print(max(iterable4))
    print(min(iterable5))
    print(max(iterable5))


if __name__ == "__main__":
    base_iterable_tests()
